All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.models
Interface MenuItemNodeInterface

All Known Subinterfaces:
  MenuNodeInterface

All Known Implementing Classes:
  MenuItemNode, MenuNode, SimpleMenuItemNode

    public interface MenuItemNodeInterface

MenuItemNodeInterface defines methods for providing and getting menu item properties.

See Also:
  `MenuItem`

Method Summary
`java.lang.String` | `getAccessKey()` Gets the accesskey.
`java.lang.String` | `getAlternateText()` Gets the alternate text.
`java.lang.String` | `getBottomLeftImage()` Returns the image displayed on the left bottom side of the button
`java.lang.String` | `getBottomRightImage()` Returns the image displayed on the bottom right side of the button
`java.lang.String` | `getCustomAction()`
`java.lang.String` | `getDisabledImage()` Returns the disabledImage
`int` | `getHeight()` Gets the height of the MenuBar/Table in pixels.
`int` | `getHeightPercentage()` Gets the height of the Table/MenuBar as a percentage
`java.lang.String` | `getImage()` Returns the image displayed on the button
`int` | `getImagePosition()` Returns the position of the button image.
`java.lang.String` | `getLabel()` Returns the label of the button
`java.lang.String` | `getLeftImage()` Returns the image displayed on the left side of the button
`java.lang.String` | `getOnBlur()` Gets the onBlur value.
`java.lang.String` | `getOnClick()` Gets the onClick value.
`java.lang.String` | `getOnFocus()` Gets the onFocus value.
`java.lang.String` | `getOnKeyDown()` Gets the onkeydown value.
`java.lang.String` | `getOnKeyPress()` Gets the onKeyPress value.
`java.lang.String` | `getOnKeyUp()` Gets the onkeyup value.
`java.lang.String` | `getOnMouseDown()` Gets the onMouseDown value.
`java.lang.String` | `getOnMouseOut()` Gets the onMouseOut value.
`java.lang.String` | `getOnMouseOver()` Gets the onMouseOver value.
`java.lang.String` | `getOnMouseUp()` Gets the onmouseup value.
`java.lang.String` | `getRightImage()` Returns the image displayed on the right side of the button
`java.lang.String` | `getStyleClassPrefix()` Returns the styleClassPrefix of the button
`java.lang.String` | `getStyleClassSuffix()` Returns the styleClassSuffix of the button
`int` | `getTabIndex()` Gets the tabindex.
`java.lang.String` | `getTarget()` getTarget returns the value of the TARGET= argument used on the anchor tags generated.
`java.lang.String` | `getTitle()` Gets the title of the href.
`java.lang.String` | `getTopLeftImage()` Returns the image displayed on the top left side of the button
`java.lang.String` | `getTopRightImage()` Returns the image displayed on the top right side of the button
`java.lang.String` | `getURL()` Returns the url associated with the button
`int` | `getWidth()` Gets the width of the MenuBar/Table in pixels.
`int` | `getWidthPercentage()` Gets the width of the Table/MenuBar as a percentage
`boolean` | `isEnabled()` Returns the state for the current menu item.
`boolean` | `isWrapped()` Returns wheather the label is wrapped or not.
`void` | `setAccessKey(java.lang.String value)` Sets the accesskey.
`void` | `setAlternateText(java.lang.String value)` Sets the alternate text.
`void` | `setBottomLeftImage(java.lang.String image)` Sets the image displayed on the bottom left side of the button
`void` | `setBottomRightImage(java.lang.String image)` Sets the image displayed on the bottom right side of the button
`void` | `setCustomAction(java.lang.String customAction)`
`void` | `setDisabledImage(java.lang.String image)` Sets the disabled image that will be displayed when the menu is disabled
`void` | `setEnabled(boolean enabled)` Sets the state for the current menu item
`void` | `setHeight(int value)` Sets the height of the Table/MenuBar in pixels.
`void` | `setHeightPercentage(int value)` Sets the height of the Table/MenuBar as a percentage
`void` | `setImage(java.lang.String image)` Sets the image displayed in the button
`void` | `setImagePosition(int position)` Sets the image position
`void` | `setLabel(java.lang.String label)` Sets the label of the button
`void` | `setLeftImage(java.lang.String image)` Sets the image displayed on the left side of the button
`void` | `setOnBlur(java.lang.String onblur)` Sets the onBlur event value.
`void` | `setOnClick(java.lang.String onclick)` Sets the onClick event value.
`void` | `setOnFocus(java.lang.String onfocus)` Sets the onFocus event value.
`void` | `setOnKeyDown(java.lang.String onkeydown)` Sets the onKeyDown value
`void` | `setOnKeyPress(java.lang.String onkeypress)` Sets the onKeyPress value
`void` | `setOnKeyUp(java.lang.String onkeyup)` Sets the onKeyUp value
`void` | `setOnMouseDown(java.lang.String mousedown)` Sets the onmouseDown event value.
`void` | `setOnMouseOut(java.lang.String mouseout)` Sets the onMouseOut event value.
`void` | `setOnMouseOver(java.lang.String mouseover)` Sets the onMouseOver event value.
`void` | `setOnMouseUp(java.lang.String mouseup)` Sets the onmouseup event value.
`void` | `setRightImage(java.lang.String image)` Sets the image displayed on the right side of the button
`void` | `setStyleClassPrefix(java.lang.String styleClassPrefix)` Sets the styleClassPrefix of the button
`void` | `setStyleClassSuffix(java.lang.String styleClassSuffix)` Sets the styleClassSuffix of the button
`void` | `setTabIndex(int value)` Sets the tabindex.
`void` | `setTarget(java.lang.String value)` Sets the value of the TARGET= argument used on the anchor tags generated.
`void` | `setTitle(java.lang.String value)` Sets the title for the href.
`void` | `setTopLeftImage(java.lang.String image)` Sets the image displayed on the top left side of the button
`void` | `setTopRightImage(java.lang.String image)` Sets the image displayed on the top right side of the button
`void` | `setURL(java.lang.String url)` Sets the url associated with the button
`void` | `setWidth(int value)` Sets the width of the Table/MenuBar in pixels.
`void` | `setWidthPercentage(int value)` Sets the width of the Table/MenuBar as a percentage
`void` | `setWrap(boolean wrap)` Sets true or false to determine wheather the label in the <td> tag is wrapped.

Method Detail

### setLeftImage

    void setLeftImage(java.lang.String image)

  Sets the image displayed on the left side of the button

  Parameters:
    `image` - the name of the image

### getLeftImage

    java.lang.String getLeftImage()

  Returns the image displayed on the left side of the button

  Returns:
    image

### setRightImage

    void setRightImage(java.lang.String image)

  Sets the image displayed on the right side of the button

  Parameters:
    `image` - the name of the image

### getRightImage

    java.lang.String getRightImage()

  Returns the image displayed on the right side of the button

  Returns:
    image

### setTopLeftImage

    void setTopLeftImage(java.lang.String image)

  Sets the image displayed on the top left side of the button

  Parameters:
    `image` - the name of the image

### getTopLeftImage

    java.lang.String getTopLeftImage()

  Returns the image displayed on the top left side of the button

  Parameters:
    `image` - of the top left side

### setTopRightImage

    void setTopRightImage(java.lang.String image)

  Sets the image displayed on the top right side of the button

  Parameters:
    `image` - the name of the image

### getTopRightImage

    java.lang.String getTopRightImage()

  Returns the image displayed on the top right side of the button

  Parameters:
    `image` - of the top right side

### setBottomLeftImage

    void setBottomLeftImage(java.lang.String image)

  Sets the image displayed on the bottom left side of the button

  Parameters:
    `image` - the name of the image

### getBottomLeftImage

    java.lang.String getBottomLeftImage()

  Returns the image displayed on the left bottom side of the button

  Parameters:
    `image` - of the bottom left side

### setBottomRightImage

    void setBottomRightImage(java.lang.String image)

  Sets the image displayed on the bottom right side of the button

  Parameters:
    `image` - the name of the image

### getBottomRightImage

    java.lang.String getBottomRightImage()

  Returns the image displayed on the bottom right side of the button

  Parameters:
    `image` - of the top left side

### setOnMouseOver

    void setOnMouseOver(java.lang.String mouseover)

  Sets the onMouseOver event value.

  Parameters:
    `mouseover` - The onMouseOver value

### getOnMouseOver

    java.lang.String getOnMouseOver()

  Gets the onMouseOver value.

  Returns:
    onMouseOver value The onMouseOver

### setOnMouseOut

    void setOnMouseOut(java.lang.String mouseout)

  Sets the onMouseOut event value.

  Parameters:
    `mouseout` - The onMouseOut value

### getOnMouseOut

    java.lang.String getOnMouseOut()

  Gets the onMouseOut value.

  Returns:
    onMouseOut value The onMouseOut

### setOnClick

    void setOnClick(java.lang.String onclick)

  Sets the onClick event value.

  Parameters:
    `onclick` - The onClick value

### getOnClick

    java.lang.String getOnClick()

  Gets the onClick value.

  Returns:
    onClick value

### setOnKeyPress

    void setOnKeyPress(java.lang.String onkeypress)

  Sets the onKeyPress value

  Parameters:
    `onkeypress` - The onKeyPressValue

### getOnKeyPress

    java.lang.String getOnKeyPress()

  Gets the onKeyPress value.

  Returns:
    onKeyPress value

### setOnBlur

    void setOnBlur(java.lang.String onblur)

  Sets the onBlur event value.

  Parameters:
    `value` - The onBlur value

### getOnBlur

    java.lang.String getOnBlur()

  Gets the onBlur value.

  Returns:
    onBlur value The onBlur

### setOnFocus

    void setOnFocus(java.lang.String onfocus)

  Sets the onFocus event value.

  Parameters:
    `value` - The onFocus value

### getOnFocus

    java.lang.String getOnFocus()

  Gets the onFocus value.

  Returns:
    onFocus value The onFocus

### setOnMouseDown

    void setOnMouseDown(java.lang.String mousedown)

  Sets the onmouseDown event value.

  Parameters:
    `value` - The onMouseDown value

### getOnMouseDown

    java.lang.String getOnMouseDown()

  Gets the onMouseDown value.

  Returns:
    onMouseDown value The onFocus

### setOnMouseUp

    void setOnMouseUp(java.lang.String mouseup)

  Sets the onmouseup event value.

  Parameters:
    `value` - The onMouseDown value

### getOnMouseUp

    java.lang.String getOnMouseUp()

  Gets the onmouseup value.

  Returns:
    onMouseUp value The onFocus

### setOnKeyDown

    void setOnKeyDown(java.lang.String onkeydown)

  Sets the onKeyDown value

  Parameters:
    `onkeypress` - The onKeyDown

### getOnKeyDown

    java.lang.String getOnKeyDown()

  Gets the onkeydown value.

  Returns:
    onkeydown value

### setOnKeyUp

    void setOnKeyUp(java.lang.String onkeyup)

  Sets the onKeyUp value

  Parameters:
    `onkeyup` - The onKeyUp value

### getOnKeyUp

    java.lang.String getOnKeyUp()

  Gets the onkeyup value.

  Returns:
    onkeyup value

### setLabel

    void setLabel(java.lang.String label)

  Sets the label of the button

  Parameters:
    `label` - the label of the button

### getLabel

    java.lang.String getLabel()

  Returns the label of the button

### setWidth

    void setWidth(int value)

  Sets the width of the Table/MenuBar in pixels.

  Parameters:
    `value` - The width in pixels

### getWidth

    int getWidth()

  Gets the width of the MenuBar/Table in pixels.

  Returns:
    The width in pixels

### setWidthPercentage

    void setWidthPercentage(int value)

  Sets the width of the Table/MenuBar as a percentage

  Parameters:
    `value` - The width as a percentage

### getWidthPercentage

    int getWidthPercentage()

  Gets the width of the Table/MenuBar as a percentage

  Returns:
    The width as a percentage

### setHeight

    void setHeight(int value)

  Sets the height of the Table/MenuBar in pixels.

  Parameters:
    `value` - The height in pixels

### getHeight

    int getHeight()

  Gets the height of the MenuBar/Table in pixels.

  Returns:
    The height in pixels

### setHeightPercentage

    void setHeightPercentage(int value)

  Sets the height of the Table/MenuBar as a percentage

  Parameters:
    `value` - The height as a percentage

### getHeightPercentage

    int getHeightPercentage()

  Gets the height of the Table/MenuBar as a percentage

  Returns:
    The height as a percentage

### getURL

    java.lang.String getURL()

  Returns the url associated with the button

  Returns:
    the url associated with the button

### setURL

    void setURL(java.lang.String url)

  Sets the url associated with the button

  Parameters:
    `url` - the url associated with the button

### getTarget

    java.lang.String getTarget()

  getTarget returns the value of the TARGET= argument used on the anchor tags generated.

  Returns:
    TARGET= argument of the anchor tags

### setTarget

    void setTarget(java.lang.String value)

  Sets the value of the TARGET= argument used on the anchor tags generated.

  Parameters:
    `value` - The value of the TARGET= argument on the anchor tag

### setTabIndex

    void setTabIndex(int value)

  Sets the tabindex.

  Parameters:
    `tabindex` - The FormElement tabindex

### getTabIndex

    int getTabIndex()

  Gets the tabindex.

  Returns:
    tabindex The tabindex

### setAccessKey

    void setAccessKey(java.lang.String value)

  Sets the accesskey.

  Parameters:
    `accesskey` - The accesskey

### getAccessKey

    java.lang.String getAccessKey()

  Gets the accesskey.

  Returns:
    accesskey The accesskey

### setTitle

    void setTitle(java.lang.String value)

  Sets the title for the href.

  Parameters:
    `value` - The title of the href

### getTitle

    java.lang.String getTitle()

  Gets the title of the href.

  Returns:
    accesskey The title

### getImage

    java.lang.String getImage()

  Returns the image displayed on the button

  Returns:
    image displayed on the button

### setImage

    void setImage(java.lang.String image)

  Sets the image displayed in the button

  Parameters:
    `image` - image displayed in the button

### isWrapped

    boolean isWrapped()

  Returns wheather the label is wrapped or not.

  Returns:
    true if the label is wrapped; false otherwise

### setWrap

    void setWrap(boolean wrap)

  Sets true or false to determine wheather the label in the <td> tag is wrapped.

  Parameters:
    `wrap` - true if label is wrapped; false otherwise

### getImagePosition

    int getImagePosition()

  Returns the position of the button image.

  Returns:
    the image position

### setImagePosition

    void setImagePosition(int position)

  Sets the image position

  Parameters:
    `position` - of the image

### setStyleClassPrefix

    void setStyleClassPrefix(java.lang.String styleClassPrefix)

  Sets the styleClassPrefix of the button

  Parameters:
    `styleClassPrefix` - The styleClassPrefix to use for the button

### getStyleClassPrefix

    java.lang.String getStyleClassPrefix()

  Returns the styleClassPrefix of the button

  Returns:
    The styleClassPrefix

### setStyleClassSuffix

    void setStyleClassSuffix(java.lang.String styleClassSuffix)

  Sets the styleClassSuffix of the button

  Parameters:
    `styleClassSuffix` - The styleClassSuffix to use for the button

### getStyleClassSuffix

    java.lang.String getStyleClassSuffix()

  Returns the styleClassSuffix of the button

  Returns:
    The styleClassSuffix

### setCustomAction

    void setCustomAction(java.lang.String customAction)

### getCustomAction

    java.lang.String getCustomAction()

### setAlternateText

    void setAlternateText(java.lang.String value)

  Sets the alternate text.

  Parameters:
    `value` - The alternate text

### getAlternateText

    java.lang.String getAlternateText()

  Gets the alternate text.

  Returns:
    alternateText The alternate text

### getDisabledImage

    java.lang.String getDisabledImage()

  Returns the disabledImage

  Returns:
    image displayed on the menu item when the menu item is disalbed

### setDisabledImage

    void setDisabledImage(java.lang.String image)

  Sets the disabled image that will be displayed when the menu is disabled

  Parameters:
    `image` - image displayed when the menu item is disabled

### isEnabled

    boolean isEnabled()

  Returns the state for the current menu item.

  Returns:
    the state for the current menu item - true means enabled

### setEnabled

    void setEnabled(boolean enabled)

  Sets the state for the current menu item

  Parameters:
    `enabled` - state of the current menu item

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.